Page MenuHomePhabricator

[test-suite] SPEC2017 CPU CAM4 portability updates.
ClosedPublic

Authored by naromero77 on Mar 10 2021, 2:59 PM.

Details

Summary

Add -fallow-argument-mismatch only for Fortran and only for compilers that support it.

Diff Detail

Repository
rT test-suite

Event Timeline

naromero77 created this revision.Mar 10 2021, 2:59 PM
naromero77 requested review of this revision.Mar 10 2021, 2:59 PM
Meinersbur added inline comments.Mar 11 2021, 3:22 PM
External/SPEC/CFP2017rate/527.cam4_r/CMakeLists.txt
574

Naming convention for the feature-test variable usually starts with "SUPPORTS_" or "${lang}_SUPPORTS_", e.g. FORTRAN_SUPPORTS_FALLOW_ARGUMENT_MISMATCH.

cmake/modules/Fortran.cmake
30–36

Why add more than CheckFortranCompilerFlag?

  • Use standard convention for feature-test variables.
  • Only add CMake Utility Modules that are actually used.

Trying again to send the patch.

Meinersbur accepted this revision.Mar 12 2021, 12:21 PM

LGTM, thnks.

This revision is now accepted and ready to land.Mar 12 2021, 12:21 PM
This revision was automatically updated to reflect the committed changes.